MGP(1)

NAME
mgp - MagicPoint -- an X11 based presentation tool

SYNOPSIS
mgp [-dhlnoqvBCGORSV] [-b bgcolor] [-c vfcap] [-f vfont] [-g geometry] [-p page] [-t timeslot] [-w wdir] [-x engine] [-D htmldir] [-E htmlimage] [-F mode,effect,value] [-Q quality] [-T timestampfile] [-X gsdevice] file

DESCRIPTION
mgp is an X11 based presentation tool. It is designed to make simple presentations easy while to make complicated presentations possible. Its presentation file (whose suffix is typically .mgp) is just text so that you can create presentation files quickly with your favorite editor (such as Emacs).

The .mgp file consists of text and control commands (such as pagebreak, centering, and/or inline image). Control commands are specified on the beginning of lines started with one % sign. You can include numerous kinds of image format files onto the presentation file.

mgp uses Japanese/English fonts in various sizes. mgp uses X11 scalable fonts provided by X11 servers. mgp can also utilize the Japanese outline font library, "VFlib", if configured to do so at compilation time.

The following options are available:

-b bgcolor
    Set background color to bgcolor. (The default value is black)

-c vfcap
    Specify a VFlib configuration file.

-d [interval]
    Demonstration mode. Browse all page automatically, spending interval secounds on each page and terminate. If interval is not specified, it will be set to 0.

-f vfont
    Specify the font name to be used by VFlib. (The default value is minsl)

-g geometry
    Set the size and location of the window. Please note that -g implies -o. mgp will not override the window manager if you specify the geometry.

-h  Display the usage and exit without performing a presentation.

-l  There are two kind of fonts available by VFlib; They are outline font and bitmap font. By specifying -l, you can disable the use of outline fonts.

-n  mgp accepts any key inputs from invoked terminal as KEY OPERATION described below. -n disables this feature. (This option may be removed in the future release)

-o  Do not override window manager. (By default, mgp overrides window manager and occupies the whole display)

-p page
    Start presentation from page, rather than the first page.

-q  Do not beep on errors.

-t timeslot
    Specify the timeslot assigned to the presentation in minute. The timer is invoked when the second page is displayed and the remaining presentation time is indicated by the length of bar shown at the bottom of the display. The timebar is updated when some X11 event is raised, for instance some keypress. Timebar will be green if you have more than 50% of the timeslot, yellow while you have more than 30% of the timeslot, and red for the other cases. When the assigned timeslot is expired, exceeding time is also shown as a timebar growing from left to right. Current page is indicated by the position of a small vertical bar; the vertical bar is drawn at the leftend when the first page is displayed while the bar is drawn at the rightend when the last page is displayed.

- -title name
    Set the title of the window to name.

-v  Display the MagicPoint version and exit without performing a presentation.

-w wdir
    specifies the working directory used for store embedded images if any. To generate an embedded MGP file, use mgpembed(1).

-x engine
    Do not use rendering engine, specified by engine. engine can be VFlib or FreeType.

-B  Omit background image.

-C  Use private colormap.

-D htmldir
    Generate html pages of the presentation into htmldir. You will need xwintoppm(1) (included in mgp kit), and pnmscale(1), cjpeg(1), and djpeg(1) ( included in netpbm and Independent Jpeg Group jpeg package).

-E htmlimage
    Specifies html image type. Now "jpg" and "png" are supported. default value is "jpg". It works when -D option is set.

-F mode,effect,value
    Specifies forward page cache options. Mode, effect and value are numbers. Mode specifies caching mode. Mode 0 means caching is executed after 2 seconds idle. Mode 1 means caching is executed immediately. Effect specifies 'special effect' for the forward page cache. Currently, two special effects are supported. Effect 1 means that the next page will come in from the left side. Effect 2 means that the current page will go out to the left side. Effect 0 means no special effect. Value specifies speed of special effect. Value 1 means the highest speed. A higher value for value decreases effect speed.

-G  Specifies to turn on page guide function. At the bottom of the screen, the titles of next page and previous page are displayed to assist the presentation. Page guide can be turned on and off by keyboard too.

-O  Obey to the window manager, but with less decoration around the window. The behavior of this option is affected by how the window manager is implemented; this option may have no effect on some of the window managers.

-Q quality
    Set background image quality(0-100).

-R  mgp will usually reload the presentation file if it gets updated, based on the file modification time taken by stat(2). -R disables this auto-reloading feature.

-S  Be secure. Skip directives that fork/exec the child process. It is suggested to use this option if you got some presentation file from others. This is enabled by default.

-U  Be unsecure. Enable directives that fork/exec the child process. Allow one to use non-ASCII filename.

-T timestampfile
    If the option is specified, mgp will modify the content of timestampfile every time it updates the presentation window. This option is useful for external process to understand when mgp modifies the window.

-V  Be verbose. Generate debugging output to standard output.

-X gsdevice
    mgp sometimes invokes ghostscript(1) to render postscript images. -X enables you to specify the device to be used by ghostscript(1). If you specify gsdevice with a trailing '+', pnmscale(1) and pnmdepth(1) will be invoked for anti-aliasing. The default gsdevice is "pnmraw+".

KEY OPERATION
The keyboard/mouse commands are:

mouse button 1 (leftmost button)
    Go forward a page. Space key, downward cursor key, scroll down key, "f" key, "j" key, and "n" key have the same effect. If <number> is specified, go forward <number> pages.

mouse button 3 (rightmost button)
    Go to the previous page. "b" key, "k" key, "p" key, backspace key, scroll up key and upward cursor key have the same effect. If <number> is specified, go back <number> pages.

0 - 9 (number buttons)
    Set prefix number in decimal. i.e. <number> = <number> * 10 + <keyN> - <key0>. For example, by typing in "10g" you can jump to page 10.

g   Go to the <number> page. If number of 0 is specified, go to the last page.

control key
    Display the page listing menu. See below for details.

G   Enable/disable page guide. See description for option -G for details.

x   Enable/disable rakugaki (jotting) mode. You can make an annotation (by mouse) on the presentation. Mouse button 2 (middle) has the same effect.

X   Change the pen color for rakugaki (jotting) mode.

t   Enable/disable the timebar if -t timeslot option is specified.

c   Enable/disable forward page cache.

w   Toggle full screen mode with EWMH. (You need a EWMH-aware window manager and need to run mgp with -o or -g option)

control-L
    Repaint the current page. Use this if you messed up the page by jotting too much.

control-R
    Reload the current presentation file. If the current page becomes unavailable, page pointer will be moved back to 1.

escape key
    Quit the currently running mgp. "q" key also has the same effect.

During the presentation, you can see the page list at the bottom of the window when you press a Control Key. Choosing a page with the mouse and clicking it with the leftmost mouse button, you can go to corresponding page directly. Releasing the Control Key, the page list disappears and you can continue with the current page. This function is useful during the Q-and-A period after your presentation completes.

CONFIGURATION FILES
mgp will look at a file named ~/.mgprc in your home directory. The path to this file can be overridden with the environment variable MGPRC. The content of the file must be a limited set of magicpoint directives, one directive per line, without % sign. Lines start with #, or empty lines, will be silently ignored. See SYNTAX for eligible directives.

mgp imports various image draw functions from xloadimage(1). This means that the location of image files can be specified by ~/.xloadimagerc file. If you specify the presentation file with its directory, that directory is searched first and then the path specified in the ~/.xloadimagerc is searched.

ENVIRONMENT

MGPRC
    Full path of the configuration file. When unset, ~/.mgprc is used.

SECURITY ISSUES
The presentation file can include directives to call the external process, just like shell process. Therefore, the presentation file should be treated just like shell script or perl script. This is STRONGLY recommended to review the content of the presentation file before invoking mgp, if you got the file from others. By adding the -S option to the command line argument, directives that call external processes will be skipped.

SEE ALSO
mgp2ps(1), xloadimage(1), mgpembed(1)

AUTHOR CONTACT
Yoshifumi Nishida <nishida@csl.sony.co.jp>

CONTRIBUTION
Jun-ichiro Hagino <itojun@itojun.org>, Akira Kato <kato@wide.ad.jp>, Atsushi Onoe <onoe@sm.sony.co.jp>, Kazu Yamamoto <Kazu@Mew.org>, Youjiro Uo <yuo@nui.org>, and Masaki Minami <Masaki@Minami.org> extensively contributed improvements, bug fixes, and documents. Special thanks to Chaki Kusakari <chaki@sfc.wide.ad.jp>.

HISTORY
mgp was created shortly after the autumn camp of WIDE Project in 1997, which was originally called tp (TinyPoint).